trade

Search countries

https://docs.economicsapi.com/endpoints/searchtradecountries
gethttps://api.economicsapi.com/v1/trade/countries

Search countries by name, ISO alpha-2 or alpha-3 code.

curl -X GET "https://api.economicsapi.com/v1/trade/countries?q=example" \
  -H "Authorization: Bearer sk_live_xxxxxxxxxxxxxxxxxxxx"

Authorization

Authorizationstringheaderrequired

Bearer token. API key from your economicsapi dashboard Format: `Bearer sk_live_xxxxxxxxxxxxxxxxxxxx`.

Query parameters

qstringrequired

min length 1

limitintegerdefault 50

min 1 · max 500

Response

200Successful Responseapplication/json
dataCountryRow[]required
request_idstringdefault ""
duration_msintegerdefault 0
401Missing or invalid API keyapplication/json
errorstring
messagestring
request_idstring
422Validation Errorapplication/json
detailValidationError[]
429Rate limit exceededapplication/json
errorstring
messagestring
request_idstring
Response
{
  "data": [
    {
      "id": "id_a1b2c3d4",
      "iso3": "example",
      "name": "Acme Corp",
      "is_group": true
    }
  ],
  "request_id": "",
  "duration_ms": 0
}